package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreEngine;
import com.chenyang.nse.bussiness.entity.vo.engine.EnginePropertyVO;
import java.util.List;

public interface EngineService {
   void save(TCoreEngine engine);

   void remove(String id);

   String testConnect(String engineid);

   List<TCoreEngine> queryAllEngine();

   TCoreEngine queryEngineById(String engineid);

   List<EnginePropertyVO> queryPropertyValue(String engineid);
}
